Give us your feedback on ZENworks 2016 Platform Changes

0 Likes
over 6 years ago
As you've all heard we're busy working on the next major version of ZENworks. While we are still early in the build out there are a few things we know are going to change with relations to supported platforms. I wanted to take this opportunity to share this information as early as possible so that you can plan for this and if there's a critical impact give you, enough time to let us know.

Database

The following Database versions will be supported:

  • Sybase Anywhere 17

  • Microsoft SQL 2012 or higher

  • Oracle 11.2 and higher


This effectively means that the following database platforms will no longer be supported:

  • Microsoft SQL 2008 and 2008R2

  • Oracle 11.1 and earlier


Primary Servers

The following platforms are expected to be supported for Primary Servers:

  • Windows Server 2012 SP1, Windows Server 2012R2 and Windows Server 2016

  • SUSE Linux Enterprise Server 12 and higher

  • Micro Focus ZENworks Appliance on VMware, Hyper-V, SLES/OES XEN and Citrix XENServer


This effectively means that the following server platforms will no longer be supported as Primary Servers for ZENworks 2016:

  • Windows 2003, Windows Server 2008 and Windows Server 2008R2

  • SUSE Linux Enterprise Server 10 and SUSE Linux Enterprise Server 11

  • RedHat Enterprise Linux Server (all versions)


Satellites

The following platforms are expected to be supported for Satellites:

  • Windows Server 2008R2 SP1, Windows Server 2012SP1, Windows Server 2012R2 and Windows Server 2016

  • Windows 7SP1 and higher

  • SUSE Linux Enterprise Server 11SP4 and higher

  • SUSE Linux Enterprise Desktop 11SP4 and higher

  • Open Enterprise Server 11SP2 and higher

  • RedHat Enterprise Linux Server 6.6 and higher


This effectively means that the following server platforms will no longer be supported as Primary Servers for ZENworks 2016:

  • Windows 2003, Windows Server 2008 and Windows Server 2008R2

  • Windows XP, Windows Vista, Windows 7SP0

  • SUSE Linux Enterprise Server 10 and SUSE Linux Enterprise Server 11SP3 and earlier

  • SUSE Linux Enterprise Desktop 10 and SUSE Linux Enterprise Desktop 11SP3 and earlier

  • RedHat Enterprise Linux Server 6.5 and earlier


Managed Agents

The following platforms are expected to be supported as ZENworks 2016 agents:

  • Windows Server 2008R2 SP1, Windows Server 2012 SP1, Windows Server 2012R2 and Windows Server 2016

  • Windows 7SP1 and higher

  • SUSE Linux Enterprise Server 11SP4 and higher

  • SUSE Linux Enterprise Desktop 11SP4 and higher

  • Open Enterprise Server 11SP2 and higher

  • RedHat Enterprise Linux Server 6.6 and higher

  • OS-X 10.8.3 and higher

  • iOS 8.x and higher

  • Android 5.x and higher, possibly 4.x depending on adoption of 5.x/6.x between now and release


This effectively means that for the following platforms you would be able to run an older 11.x agent against the ZENworks 2016 client, but no new capabilities will be added for:

  • Windows 2003, Windows Server 2008 and Windows Server 2008R2 without SP1

  • Windows XP, Windows Vista, Windows 7SP0

  • OS-X 10.8.2 and earlier

  • SUSE Linux Enterprise Server 10 and SUSE Linux Enterprise Server 11SP3 and earlier

  • SUSE Linux Enterprise Desktop 10 and SUSE Linux Enterprise Desktop 11SP3 and earlier

  • RedHat Enterprise Linux Server 6.5 and earlier


Most of these decisions are based on the need to move architectural components which no longer support the older releases. The exception being the decision to drop RedHat Enterprise Linux Server as a Primary platform. This is based on the small number of customers that are currently utilizing this platform and the cost of maintaining and testing this platform.

If you have concerns about any of these decisions, now is the time to let us know about it so that we can adjust if required and technically feasible. Feel free to either comment on this post or send an email to zen@microfocus.com.

Labels:

New Release-Feature
Other
Comment List
Anonymous
Related Discussions
Recommended